/v1/compliance/reports
curl --request POST \
--url https://api.truthlocks.com/v1/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
period_end: '2023-11-07T05:31:56Z',
period_start: '2023-11-07T05:31:56Z',
regulation: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/compliance/reports"
payload = {
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/compliance/reports"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"period_end\": \"2023-11-07T05:31:56Z\",\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"regulation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Conformidade e Anomalias
Gerar um relatório de conformidade
POST
/
v1
/
compliance
/
reports
/v1/compliance/reports
curl --request POST \
--url https://api.truthlocks.com/v1/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
period_end: '2023-11-07T05:31:56Z',
period_start: '2023-11-07T05:31:56Z',
regulation: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/compliance/reports"
payload = {
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/compliance/reports"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"period_end\": \"2023-11-07T05:31:56Z\",\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"regulation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Agrega verificações de conformidade registradas para uma entidade e período. Forneça
entity_id, regulation, period_start e period_end; entity_type assume o valor padrão agent. Os períodos usam valores de data e hora e o fim não deve preceder o início.
Requer um token de portador de usuário conectado. O servidor deriva a identidade do revisor. O manipulador retorna sincronicamente; ele não muda para um trabalho de relatório em segundo plano por longos períodos. Um relatório resume os resultados das verificações armazenadas, não uma certificação regulatória independente. Os recibos de relatório gerados atualmente usam marcadores de sistema em vez de assinaturas criptográficas.Corpo
application/json
Resposta
200
Solicitação bem-sucedida

